:root{
    --fuenteHeading: 'Open Sans', sans-serif;
    --fuenteParrafos: 'PT Sans', sans-serif;

    --primario: #784D3C;
    --gris:#e1e1e1;

    --blanco: #ffffff;
    --negro:#000000;
}

html{
    font-size: 62.5%;
    box-sizing: border-box;
}

*, *:before, *:after {
    box-sizing: inherit;
  }

  body{
    font-family: var(--fuenteParrafos);
    font-size: 1.6rem;
    line-height: 2;
  }


.contenedor{
    max-width: 120rem;
    width: 90%;
    margin: 0 auto;
}

a{
    text-decoration: none;
}

h1,h2,h3,h4{
    font-family: var(--fuenteHeading);
    line-height: 1.2;
}

h1{font-size: 4.8rem;}
h2{font-size: 4rem;}
h3{font-size: 3.2rem;}
h4{font-size: 2.8rem;}

img{
    max-width: 100%;
}

.no-margin{
    margin: 0;
}

.no-padding{
    padding:0;
}

.centro-texto{
    text-align: center;
}

/* Header */

.webp .header{
    background-image: url(../img/banner.webp);
}

.no-webp .header{
    background-image: url(../img/banner.jpg);
}

.header{
  
    height: 60rem;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
}

.footer{
   
    background-color: var(--negro);
   padding-bottom: 3rem;
    margin-top: 4rem;
   
}

@media (min-width: 768px) {
    .header__texto{
        margin-top: 15rem;
        gap: 2rem;
    }   
}

.header__texto{
    text-align: center;
    color: var(--blanco);
    padding-top: 3rem;

}

.barra{
    padding-top: 4rem;
}
@media (min-width: 768px) {
    .barra{
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
}

.logo{
    color: var(--blanco);
}

.logo__nombre{
    font-weight: 400;
}

.logo__bold{
    font-weight: 700;
}

.navegacion__enlace{
    display: block;
    text-align: center;
    font-size: 1.8rem;
    color: var(--blanco);
}

@media (min-width: 768px) {

    .navegacion{
        display: flex;
        gap: 2rem;
    }    
}
/* Principal */

@media (min-width: 768px) {
    .contenido__principal{
        display: grid;
        grid-template-columns: 2fr 1fr;
        column-gap: 4rem;
    }
}

.entrada{
    border-bottom: 1px solid var(--gris) ;
    margin-bottom: 2rem;
}

.entrada:last-of-type{
    border:none;

}

/*Botones*/

.boton{
    display: block;
    font-family: var(--fuenteHeading);
    color: var(--blanco);
    text-align: center;
    padding: 1rem 3rem;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 2rem;
    border: none;
}

@media (min-width: 768px) {

    .boton{
        display: inline-block;
    }
    
}

.boton:hover{
    cursor: pointer;
}
.boton__primario{
    background-color: var(--negro);
}

.boton__secundario{
    background-color: var(--primario);
}

/* Cursos */

.cursos{
    list-style: none;
}

.widget-curso{
    border-bottom: 1px solid var(--gris);
    margin-bottom: 2rem;
}

.widget-curso:last-of-type{
   border: none;
   margin-bottom: 0;
}

.widget-curso__label
{
    font-family: var(--fuenteHeading);
    font-weight: 700;

}

.widget-curso__info{
    font-weight: normal;

}

/* Sobre nosotros */

@media (min-width: 1150px) {
    .sobre-nosotros{
     display: grid;
     grid-template-columns: repeat(2, 1fr);
     column-gap: 2rem;

    }
}

/* Curso */

.curso{
    padding: 3rem 0;
    border-bottom: 1px solid var(--gris);
    
}

@media (min-width: 768px) {
    .curso{
        display: grid;
        grid-template-columns: 1fr 2fr;
        column-gap: 2rem;
    }
    
}


.curso{
    border-bottom: 1px solid var(--gris);
    margin-bottom: 2rem;
}

.curso:last-of-type{
   border: none;
   margin-bottom: 0;
}

.curso__label
{
    font-family: var(--fuenteHeading);
    font-weight: bold;

}

.curso__info{
    font-weight: normal;

}

/*Contacto*/


.contacto-bg{
    background-image: url(../img/contacto.jpg);
    height: 40rem;
    background-size: cover;
    background-repeat: no-repeat;
}

.formulario{
    background-color: var(--blanco);
    margin: -5rem auto 0 auto;
    width: 95%;
    padding: 5rem;
}

.campo{
    display: flex;
    margin-bottom: 2rem;
    gap: 2rem;
    
}

.campo__label{
    flex: 0 0 9rem;
    text-align: right;
    
}

.campo__field{
    flex:1;
    border: 1px solid var(--gris);

}

.campo__field--textarea{
    height: 20rem;
    resize: none;

}